<h2>What new in Angular V7.0.0 :</h2>
<ul>
  <li><a href="changelog/angular7#virtual_scroll">Virtual Scroll</a></li>
  <li><a href="changelog/angular7#drag_and_drop">Drag and Drop</a></li>
</ul>


<h3><a id="virtual_scroll"></a>Virtual Scroll</h3>
<cdk-virtual-scroll-viewport itemSize="50" style="height: 300px;">
  <div *cdkVirtualFor="let number of numbers" style="width: 50%;height: 50px;border: 1px solid green;display: inline-flex;justify-content: center;">
    {{number}}
  </div>
</cdk-virtual-scroll-viewport>


<h3><a id="drag_and_drop"></a>Drag and Drop</h3>

<h4>First example</h4>
<div class="drop-list" cdkDropList
     (cdkDropListDropped)="singleDrop($event)">
  <div cdkDrag *ngFor="let number of numbers" class="item" style="border: 1px solid red;">{{number}}</div>
</div>

<h4>Second example</h4>
<div style="display: flex">
  <div class="drop-list" cdkDropList
       [cdkDropListData]="numbers"
       (cdkDropListDropped)="multiDrop($event)"
       [cdkDropListConnectedTo]="otherList"
       #firstList="cdkDropList">
    <div cdkDrag *ngFor="let number of numbers" class="item" style="border: 1px solid green;">{{number}}</div>
  </div>
  <div class="drop-list" style="border: 1px solid rebeccapurple;"
       cdkDropList
       [cdkDropListData]="otherNumbers"
       (cdkDropListDropped)="multiDrop($event)"
       [cdkDropListConnectedTo]="firstList"
       #otherList="cdkDropList">
    <div cdkDrag *ngFor="let number of otherNumbers" class="item" style="border: 1px solid blue;">{{number}}</div>
  </div>
</div>
